#include "partition.h"
#include<bits/stdc++.h>
using namespace std;

std::vector<int> solve(std::vector<int> A) 
{
    int n=A.size();
    vector<int>ans(n);
    vector<int>cnt(100001,0);
    for(int i=0;i<n;i++)
    {
        cnt[A[i]]++;
    }
    int idx=0;
    for(int i=0;i<10001;i++)
    {   
        for(int j=1;j<=cnt[i]/2;j++)
        {
            ans[idx]=i;
            ans[idx+(n/2)]=i;
            idx++;
        }
    }
    return ans;
}
